Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.config
[Groovy] Class InheritanceConfigurer

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.resolve.config.AbstractDependencyManagementConfigurer
              org.codehaus.groovy.grails.resolve.config.InheritanceConfigurer

    class InheritanceConfigurer
    extends AbstractDependencyManagementConfigurer

Field Summary

Fields inherited from class AbstractDependencyManagementConfigurer
context

Constructor Summary
`InheritanceConfigurer(DependencyConfigurationContext context)`

Method Summary
`void` | `excludes(java.util.Map exclude)`
`void` | `excludes(java.lang.String[] excludeList)`

Methods inherited from class AbstractDependencyManagementConfigurer
getContext, getDependencyManager, getGrailsCoreDependencies

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Constructor Detail

### InheritanceConfigurer

    InheritanceConfigurer(DependencyConfigurationContext context)

Method Detail

### excludes

    void excludes(java.util.Map exclude)

### excludes

    void excludes(java.lang.String[] excludeList)

Groovy Documentation